> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Message

> Send a text message to a verified WhatsApp number.

Only allows sending to the user's own linked & verified WhatsApp account
to prevent abuse.



## OpenAPI

````yaml /openapi.json post /api/v1/whatsapp/send
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/whatsapp/send:
    post:
      tags:
        - WhatsApp
      summary: Send Message
      description: |-
        Send a text message to a verified WhatsApp number.

        Only allows sending to the user's own linked & verified WhatsApp account
        to prevent abuse.
      operationId: send_message_api_v1_whatsapp_send_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/app__api__routes__whatsapp__SendMessageRequest
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    app__api__routes__whatsapp__SendMessageRequest:
      properties:
        phone_number:
          type: string
          maxLength: 20
          minLength: 5
          title: Phone Number
        text:
          type: string
          maxLength: 4096
          minLength: 1
          title: Text
      type: object
      required:
        - phone_number
        - text
      title: SendMessageRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````